---
title: llarp::vpn::Layer4Handler

---

# llarp::vpn::Layer4Handler





## Public Functions

|                | Name           |
| -------------- | -------------- |
| virtual | **[~Layer4Handler](Classes/structllarp_1_1vpn_1_1Layer4Handler.md#function-~layer4handler)**() =default |
| virtual void | **[HandleIPPacket](Classes/structllarp_1_1vpn_1_1Layer4Handler.md#function-handleippacket)**([llarp::net::IPPacket](Classes/structllarp_1_1net_1_1IPPacket.md) pkt) =0 |
| virtual void | **[AddSubHandler](Classes/structllarp_1_1vpn_1_1Layer4Handler.md#function-addsubhandler)**(nuint16_t , PacketHandlerFunc_t ) |

## Public Functions Documentation

### function ~Layer4Handler

```cpp
virtual ~Layer4Handler() =default
```


### function HandleIPPacket

```cpp
virtual void HandleIPPacket(
    llarp::net::IPPacket pkt
) =0
```


### function AddSubHandler

```cpp
inline virtual void AddSubHandler(
    nuint16_t ,
    PacketHandlerFunc_t 
)
```


-------------------------------

Updated on 2023-01-06 at 19:35:06 +0000